ServletResponseWrapperInclude (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.ajax4jsf.taglib.html.jsp.ServletResponseWrapperInclude class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class ServletResponseWrapperInclude

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.ajax4jsf.taglib.html.jsp.ServletResponseWrapperInclude

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class ServletResponseWrapperInclude

extends javax.servlet.http.HttpServletResponseWrapper

ServletResponseWrapper used by the JSP 'include' action. This wrapper response object is passed to RequestDispatcher.include(), so that the output of the included resource is appended to that of the including page.

Author:
  Pierre Delisle

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`ServletResponseWrapperInclude(javax.servlet.ServletResponse response, javax.servlet.jsp.JspWriter jspWriter)`

Method Summary
`void` | `flushBuffer()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()` Returns a wrapper around the JspWriter of the including page.
`void` | `reset()`
`void` | `resetBuffer()` Clears the output buffer of the JspWriter associated with the including page.
`void` | `sendRedirect(java.lang.String arg0)`
`void` | `setBufferSize(int arg0)`
`void` | `setContentLength(int arg0)`
`void` | `setContentType(java.lang.String arg0)`
`void` | `setLocale(java.util.Locale arg0)`
`void` | `setStatus(int arg0)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, setDateHeader, setHeader, setIntHeader, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, setCharacterEncoding, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, setCharacterEncoding`

Constructor Detail

### ServletResponseWrapperInclude

    public ServletResponseWrapperInclude(javax.servlet.ServletResponse response,
                                         javax.servlet.jsp.JspWriter jspWriter)

Method Detail

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Returns a wrapper around the JspWriter of the including page.

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getWriter` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### resetBuffer

    public void resetBuffer()

  Clears the output buffer of the JspWriter associated with the including page.

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `resetBuffer` in class `javax.servlet.ServletResponseWrapper`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`
  Overrides:
    `reset` in class `javax.servlet.ServletResponseWrapper`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `flushBuffer` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### setBufferSize

    public void setBufferSize(int arg0)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setBufferSize` in class `javax.servlet.ServletResponseWrapper`

### setContentLength

    public void setContentLength(int arg0)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentLength` in class `javax.servlet.ServletResponseWrapper`

### setContentType

    public void setContentType(java.lang.String arg0)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentType` in class `javax.servlet.ServletResponseWrapper`

### setStatus

    public void setStatus(int arg0)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

### setLocale

    public void setLocale(java.util.Locale arg0)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setLocale` in class `javax.servlet.ServletResponseWrapper`

### sendRedirect

    public void sendRedirect(java.lang.String arg0)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendRedirect` in class `javax.servlet.http.HttpServletResponseWrapper`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.